Subject: Re: GCC 3.0 for i686-pc-cygwin target, bootstrap fails
From: "Corwin Joy" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 30 Jul 2001 02:55:12 -0500

Steven Parry wrote:
Hello,

I hope someone can help!  I'm trying to get a
more-or-less std library compliant gcc version on my
portable pc. I've installed cygwin fine, and have
tried to install gcc3.0.  It appeared to configure
fine, but when doing a "make bootstrap", I get the
following error (after a while):

../../gcc-3.0/gcc/config/i386/i386.md:289: unknown rtx
code 'define_asm_attribut's
../../gcc-3.0/gcc/config/i386/i386.md:289: following
context is ' [(set attr "length" "128")'
make[2]@ ***[s-codes] Error 1
...
make: ***[bootstrap] Error 2

----------------------

I just downloaded the GCC 3.0 official release and got the same error
message.  However, after more searches, it seems that some of the developers
have seen the same problem. (see e.g.
http://gcc.gnu.org/ml/gcc-help/2001-03/msg00196.html).
Anyway, the problem seems to have something to do with carriage return
versus line-feed under Cygwin.  Here is what I did to fix the problem:
1. go to the directory for i386.md and execute the following commands:
cat i386.md | tr -d '\r' > i386.out
rm i386.md
mv i386.out i386.md

this seems to fix the problem and allowed the build to continue.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/